package com.signal.sig.ws;

import io.netty.channel.ChannelHandlerContext;
import io.netty.channel.SimpleChannelInboundHandler;
import io.netty.handler.codec.http.FullHttpMessage;
 
public class SigHttpServerHandler extends SimpleChannelInboundHandler<FullHttpMessage>{
 
    @Override
    protected void channelRead0(ChannelHandlerContext ctx, FullHttpMessage msg) throws Exception {
    	System.out.println("SigHttpServerHandler::channelRead0: " + ctx + " : " + msg);
    }
     
     
    @Override
    public void channelReadComplete(ChannelHandlerContext ctx) throws Exception {
    	/* 웹클라이언트 연결, 종료, 데이터 송신 이벤트 발생시 */ 
        System.out.println("SigHttpServerHandler::channelReadComplete: " + ctx);
        ctx.flush();
    }
}
